10 декабря 2015

Установить/обновить ядро Linux Kernel 4.3.1 в Ubuntu и производные

Предупреждение. Ядро Linux является критичным элементом системы. Обновления ядра могут содержать улучшения аппаратной поддержки или устранять уязвимости.  Делать обновление стоит когда одно из аппаратных устройств работает некорректно, а новое ядро может решить данную проблему.  Но в тоже время установка нового ядра без особой необходимости может привести к нежелательным регрессиям, таким как: отсутствие подключения к сети, отсутствие звука или даже невозможность загрузить систему, поэтому устанавливайте новое ядро на свой страх и риск.

Ядро Linux Kernel 4.3.1 является первым корректировочным выпуском ядра версии 4.3. Вы можете скачать соответствующие deb пакеты ОТСЮДА и установить их в Центре приложений Ubuntu. Или просто следуйте приведенным ниже инструкциям, которые помогут вам установить новое ядро несколькими командами в терминале.
Установить ядро версии 4.3.1 командами ниже, можно ​​в следующих дистрибутивах Linux:

Ubuntu 15.10/15.04/14.04/12.04
Linux Mint 17.3/17.2/17.1/17/13
elementary OS 0.2/0.3

Установка ядра Linux Kernel 4.3.1

Напоминание пользователям компьютеров с видеокартами Nvidia/AMD. Перед установкой ядра, желательно переключиться на свободный драйвер.

1. Откройте терминал, скопируйте и выполните одну из команд, согласно архитектуры вашей системы/компьютера:

Для 32-bit (одной командой):

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.1-wily/linux-headers-4.3.1-040301-generic_4.3.1-040301.201512092023_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.1-wily/linux-headers-4.3.1-040301_4.3.1-040301.201512092023_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.1-wily/linux-image-4.3.1-040301-generic_4.3.1-040301.201512092023_i386.deb; sudo dpkg -i *.deb

Для 64-bit (одной командой):
 
cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.1-wily/linux-headers-4.3.1-040301-generic_4.3.1-040301.201512092023_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.1-wily/linux-headers-4.3.1-040301_4.3.1-040301.201512092023_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.1-wily/linux-image-4.3.1-040301-generic_4.3.1-040301.201512092023_amd64.deb; sudo dpkg -i *.deb

 2. Обновите GRUB (GRUB надо обновлять в той системе Linux где он установлен, если у вас их более одной):

sudo update-grub

Примечание 1
.
Если у вас установлен загрузчик BURG, то и его нужно обновить:

sudo update-burg

3. По окончании установки, закройте все приложения и перезагрузите компьютер следующей командой:

sudo reboot

После входа в систему, проверьте версию актуального ядра командой в терминале:

uname -r


Дистрибутив Linux Mint 17.3 "Rosa"


Примечание 2
. Как вернуться к ранее установленному ядру, инструкция ЗДЕСЬ.

Если вы решили удалить ядро 4.3.1, выполните эту команду:

sudo apt-get purge linux-image-4.3.1-*

И вновь обновите GRUB командой:

sudo update-grub

Источник: https://www.kernel.org/

Удачи.

8 комментариев :

  1. С драйвером Nvidia 358.16 не запустился Cinnamon. Откатился

    ОтветитьУдалить
  2. Подтверждаю,с Nvidia 358.16 не работает на компе, а с intel hd 3000 на ноутбуке всё отлично.

    ОтветитьУдалить
  3. Тоже не пошел, пишет ошибка запуска графического интерфейса. Так же как и на 3.5. Откатился до 3.2.5, но там у меня не работает Виртуалбокс

    ОтветитьУдалить
  4. Перейдите на драйвер xserver и все встанет) Потом можно будет вернутся на 358.16)

    ОтветитьУдалить
    Ответы
    1. Лучше подождать рабочее ядро. Мне нужна система именно с дровами от нвидии. Спешить некуда,щас ядро 4.3 стоит,устарело чтоли?

      Удалить
    2. Xserver и стоит. Точнее xserver-xorg-video-ati.

      Удалить
  5. Не переключайтесь обратно на 358.16( При перезагрузке не запускается(

    ОтветитьУдалить